Scraper
Bulk Rerun AI Scraper
Execute the same scraper configuration across multiple URLs simultaneously. This is an asynchronous operation, use the bulkResultId to poll for results. Reruns leverage previously cached results, which can reduce token consumption and improve execution time.
Note
- Use the V3 Platform API Server (
https://api.app.mrscraper.com) host when calling this endpoint. - The response from this endpoint may vary based on the scraper's agent. For more details, read the AI Scraper Response page.
Authorization
apiKey x-api-token<token>
In: header
Request Body
application/json
scraperId*string
The AI scraper ID from your initial scrape (typically a detail scraper)
urls*array<string>
Array of URLs to scrape
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.app.mrscraper.com/api/v1/scrapers-ai-rerun/bulk" \ -H "Content-Type: application/json" \ -d '{ "scraperId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx", "urls": [ "https://books.toscrape.com/catalogue/a-light-in-the-attic_1000/index.html", "https://books.toscrape.com/catalogue/tipping-the-velvet_999/index.html", "https://books.toscrape.com/catalogue/soumission_998/index.html" ] }'{
"message": "Successful operation!",
"data": {
"createdAt": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
"scraperId": "6695bf87-aaa6-46b0-b1ee-88586b222b0b",
"type": "Bulk-AI",
"url": "string",
"status": "Finished",
"error": "string",
"tokenUsage": 0,
"runtime": 0,
"data": {
"mergedData": [
{}
],
"urlDetails": [
{
"url": "http://example.com",
"status": "Running",
"error": "string"
}
],
"summary": {
"totalUrls": 0,
"successfulUrls": 0,
"failedUrls": 0,
"scrapedCount": 0,
"totalTokenUsage": 0,
"estimatedFinishAt": "2019-08-24T14:15:22Z"
}
},
"htmlPath": "string",
"recordingPath": "string",
"dataPath": "string",
"curl": "string"
}
}{
"message": "Invalid or missing API token",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403
}{
"message": "Resource not found",
"error": "Not Found",
"statusCode": 404
}{
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422
}{
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500
}